curl -X POST https://kliio.app/api/v1/quotes \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"client_id": "c1d2e3f4-...",
"amount": 3500,
"currency": "USD",
"tax_rate": 10,
"expires_at": "2025-04-30",
"description": "E-commerce site build",
"line_items": [
{ "description": "Design", "quantity": 1, "rate": 1500 },
{ "description": "Development", "quantity": 20, "rate": 100 }
]
}'
const res = await fetch('https://kliio.app/api/v1/quotes', {
method: 'POST',
headers: {
Authorization: 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
client_id: 'c1d2e3f4-...',
amount: 3500,
currency: 'USD',
tax_rate: 10,
expires_at: '2025-04-30',
description: 'E-commerce site build'
})
})
const { data } = await res.json()
{
"success": true,
"data": {
"id": "quo-uuid-...",
"quote_number": "QUO-0013",
"amount": 3500,
"currency": "USD",
"status": "Draft",
"expires_at": "2025-04-30",
"tax_rate": 10,
"description": "E-commerce site build",
"client": {
"id": "c1d2e3f4-...",
"name": "Alice Johnson",
"email": "alice@example.com",
"company_name": "Acme Corp"
},
"created_at": "2025-03-15T10:30:00.000Z"
}
}
{
"error": "Validation failed",
"details": ["client_id is required"]
}
Quotes
Create Quote
Creates a new quote for a client. The quote number is auto-generated and expiry defaults to 30 days.
POST
/
api
/
v1
/
quotes
curl -X POST https://kliio.app/api/v1/quotes \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"client_id": "c1d2e3f4-...",
"amount": 3500,
"currency": "USD",
"tax_rate": 10,
"expires_at": "2025-04-30",
"description": "E-commerce site build",
"line_items": [
{ "description": "Design", "quantity": 1, "rate": 1500 },
{ "description": "Development", "quantity": 20, "rate": 100 }
]
}'
const res = await fetch('https://kliio.app/api/v1/quotes', {
method: 'POST',
headers: {
Authorization: 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
client_id: 'c1d2e3f4-...',
amount: 3500,
currency: 'USD',
tax_rate: 10,
expires_at: '2025-04-30',
description: 'E-commerce site build'
})
})
const { data } = await res.json()
{
"success": true,
"data": {
"id": "quo-uuid-...",
"quote_number": "QUO-0013",
"amount": 3500,
"currency": "USD",
"status": "Draft",
"expires_at": "2025-04-30",
"tax_rate": 10,
"description": "E-commerce site build",
"client": {
"id": "c1d2e3f4-...",
"name": "Alice Johnson",
"email": "alice@example.com",
"company_name": "Acme Corp"
},
"created_at": "2025-03-15T10:30:00.000Z"
}
}
{
"error": "Validation failed",
"details": ["client_id is required"]
}
Headers
string
required
Bearer YOUR_API_KEYBody
string
required
UUID of the client. Must belong to your account.
number
required
Total quote amount (must be ≥ 0).
string
Optional UUID of an associated project.
string
Valid until date in
YYYY-MM-DD format. Defaults to 30 days from creation.string
A short description or scope of work.
string
3-letter currency code. Defaults to
USD.number
Tax rate as a percentage (0–100). Defaults to
0.string
Initial status. Either
Draft (default) or Sent.array
Response
boolean
true on creation.object
The newly created quote, including an embedded
client object.curl -X POST https://kliio.app/api/v1/quotes \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"client_id": "c1d2e3f4-...",
"amount": 3500,
"currency": "USD",
"tax_rate": 10,
"expires_at": "2025-04-30",
"description": "E-commerce site build",
"line_items": [
{ "description": "Design", "quantity": 1, "rate": 1500 },
{ "description": "Development", "quantity": 20, "rate": 100 }
]
}'
const res = await fetch('https://kliio.app/api/v1/quotes', {
method: 'POST',
headers: {
Authorization: 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
client_id: 'c1d2e3f4-...',
amount: 3500,
currency: 'USD',
tax_rate: 10,
expires_at: '2025-04-30',
description: 'E-commerce site build'
})
})
const { data } = await res.json()
{
"success": true,
"data": {
"id": "quo-uuid-...",
"quote_number": "QUO-0013",
"amount": 3500,
"currency": "USD",
"status": "Draft",
"expires_at": "2025-04-30",
"tax_rate": 10,
"description": "E-commerce site build",
"client": {
"id": "c1d2e3f4-...",
"name": "Alice Johnson",
"email": "alice@example.com",
"company_name": "Acme Corp"
},
"created_at": "2025-03-15T10:30:00.000Z"
}
}
{
"error": "Validation failed",
"details": ["client_id is required"]
}

